Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.gui.action
Class Save

    java.lang.Object
      org.apache.jmeter.gui.action.Save

All Implemented Interfaces:
  Command

    public class Save

extends Object
implements Command

Save the current test plan; implements: Save Save TestPlan As Save (Selection) As

Field Summary
`static String` | `JMX_FILE_EXTENSION`

Constructor Summary
`Save()` Constructor for the Save object.

Method Summary
`void` | `doAction(ActionEvent e)`
`Set<String>` | `getActionNames()` Gets the ActionNames attribute of the Save object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### JMX_FILE_EXTENSION

    public static final String JMX_FILE_EXTENSION

See Also:
  Constant Field Values

Constructor Detail

### Save

    public Save()

  Constructor for the Save object.

Method Detail

### getActionNames

    public Set<String> getActionNames()

  Gets the ActionNames attribute of the Save object.

  Specified by:
    `getActionNames` in interface `Command`
  Returns:
    the ActionNames value

### doAction

    public void doAction(ActionEvent e)
                  throws IllegalUserActionException

  Specified by:
    `doAction` in interface `Command`
  Throws:
    `IllegalUserActionException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2012 Apache Software Foundation. All Rights Reserved.